rasterToContour {raster} | R Documentation

## Raster to contour lines conversion

### Description

RasterLayer to contour lines. This is a wrapper around `contourLines`

### Usage

    rasterToContour(x, maxpixels=100000, ...)

### Arguments

`x` | a RasterLayer object
`maxpixels` | Maximum number of raster cells to use; this function fails when too many cells are used
`...` | Any argument that can be passed to `contourLines`

### Details

Most of the code was taken from maptools::ContourLines2SLDF, by Roger Bivand & Edzer Pebesma

### Value

SpatialLinesDataFrame

### Examples

    f <- system.file("external/test.grd", package="raster")
    r <- raster(f)
    x <- rasterToContour(r)
    class(x)
    plot(r)
    plot(x, add=TRUE)

[Package raster version 2.5-2 Index]